class SearchResultTabModel {
  List<SearchResultTabItemModel> search_icon_list;
  String keywords;
  String type;

  SearchResultTabModel({
    this.search_icon_list,
    this.keywords,
    this.type,
  });

  factory SearchResultTabModel.fromJson(Map<String, dynamic> json) {
    return SearchResultTabModel(
      search_icon_list: json['search_icon_list'] != null ? (json['search_icon_list'] as List).map((i) => SearchResultTabItemModel.fromJson(i)).toList() : null,
      keywords: json['keywords'],
      type: json['type'],
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.search_icon_list != null) {
      data['search_icon_list'] = this.search_icon_list.map((v) => v.toJson()).toList();
    }
    data['keywords'] = keywords;
    data['type'] = type;
    return data;
  }
}

class SearchResultTabItemModel {
  String icon;
  String line_select_color;
  String name;
  String name_color;
  String name_select_color;
  String type;
  String with_icon_color;
  String skip_identifier;

  SearchResultTabItemModel({
    this.icon,
    this.line_select_color,
    this.name,
    this.name_color,
    this.name_select_color,
    this.type,
    this.with_icon_color,
    this.skip_identifier,
  });

  factory SearchResultTabItemModel.fromJson(Map<String, dynamic> json) {
    return SearchResultTabItemModel(
      icon: json['icon'],
      line_select_color: json['line_select_color'],
      name: json['name'],
      name_color: json['name_color'],
      name_select_color: json['name_select_color'],
      type: json['type'],
      with_icon_color: json['with_icon_color'],
      skip_identifier: json['skip_identifier'],
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['icon'] = this.icon;
    data['line_select_color'] = this.line_select_color;
    data['name'] = this.name;
    data['name_color'] = this.name_color;
    data['name_select_color'] = this.name_select_color;
    data['type'] = this.type;
    data['with_icon_color'] = this.with_icon_color;
    data['skip_identifier'] = this.skip_identifier;
    return data;
  }
}
